com.genesyslab.wfm8.API.service.scheduleTrade850

## Class SchTradeStatus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade850.SchTradeStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeStatus
      extends java.lang.Object
      implements java.io.Serializable

  Trade Status
  See Also:
    `SchTrade`, `ESchTradeStatus`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswUserId` The ID of the user `CfgUser` responsible for the status change.
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `wmComments` Comments added at a time of status change
    `protected int` | `wmStatus` Status `ESchTradeStatus`
    `protected double` | `wmTimestamp` Date/Time of status change in GMT time zone `OleDateTime`
    `protected int` | `wmTradeId` Trade ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `java.lang.String` | `getWmComments()` Gets the value of the wmComments property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `double` | `getWmTimestamp()` Gets the value of the wmTimestamp property.
    `int` | `getWmTradeId()` Gets the value of the wmTradeId property.
    `int` | `hashCode()`
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setWmComments(java.lang.String value)` Sets the value of the wmComments property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `void` | `setWmTimestamp(double value)` Sets the value of the wmTimestamp property.
    `void` | `setWmTradeId(int value)` Sets the value of the wmTradeId property.
    `java.lang.String` | `toString()`
    `SchTradeStatus` | `withGswUserId(int value)`
    `SchTradeStatus` | `withWmComments(java.lang.String value)`
    `SchTradeStatus` | `withWmStatus(int value)`
    `SchTradeStatus` | `withWmTimestamp(double value)`
    `SchTradeStatus` | `withWmTradeId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTradeId

          protected int wmTradeId

      Trade ID
      See Also:
        `SchTrade`

    - #### wmStatus

          protected int wmStatus

      Status `ESchTradeStatus`

    - #### wmComments

          protected java.lang.String wmComments

      Comments added at a time of status change

    - #### gswUserId

          protected int gswUserId

      The ID of the user `CfgUser` responsible for the status change. A negative value is used to indicate that the ID identifies an agent `CfgAgent` A zero value identifies the "system user".

    - #### wmTimestamp

          protected double wmTimestamp

      Date/Time of status change in GMT time zone `OleDateTime`

  - ### Constructor Detail

    - #### SchTradeStatus

          public SchTradeStatus()

  - ### Method Detail

    - #### getWmTradeId

          public int getWmTradeId()

      Gets the value of the wmTradeId property.

    - #### setWmTradeId

          public void setWmTradeId(int value)

      Sets the value of the wmTradeId property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmComments

          public java.lang.String getWmComments()

      Gets the value of the wmComments property.
      Returns:
        possible object is `String`

    - #### setWmComments

          public void setWmComments(java.lang.String value)

      Sets the value of the wmComments property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmTimestamp

          public double getWmTimestamp()

      Gets the value of the wmTimestamp property.

    - #### setWmTimestamp

          public void setWmTimestamp(double value)

      Sets the value of the wmTimestamp property.

    - #### withWmTradeId

          public SchTradeStatus withWmTradeId(int value)

    - #### withWmStatus

          public SchTradeStatus withWmStatus(int value)

    - #### withWmComments

          public SchTradeStatus withWmComments(java.lang.String value)

    - #### withGswUserId

          public SchTradeStatus withGswUserId(int value)

    - #### withWmTimestamp

          public SchTradeStatus withWmTimestamp(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.